Subject: Re: [PATCH] brcmfmac: Replace zero-length array with flexible array member

From: Kalle Valo <[email-masked]>
Date: Tue, 21 Sep 2021 08:55:59 +0300

Kalle Valo <[email-masked]> writes:

> "Gustavo A. R. Silva" <[email-masked]> writes:
>
>> On Sat, Sep 04, 2021 at 11:22:17AM +0200, Len Baker wrote:
>>> There is a regular need in the kernel to provide a way to declare
>>> having a dynamically sized set of trailing elements in a structure.
>>> Kernel code should always use "flexible array members"[1] for these
>>> cases. The older style of one-element or zero-length arrays should
>>> no longer be used[2].
>>> 
>>> Also, make use of the struct_size() helper in devm_kzalloc().
>>> 
>>> [1] https://en.wikipedia.org/wiki/Flexible_array_member
>>> [2]
>>> https://www.kernel.org/doc/html/v5.14/process/deprecated.html#zero-length-and-one-element-arrays
>>> 
>>> Signed-off-by: Len Baker <[email-masked]>
>>
>> Reviewed-by: Gustavo A. R. Silva <[email-masked]>
>>
>> I'll take this in my -next tree. :)
>
> Why? It should go to wireless-drivers-next.

Gustavo, so have you dropped this from your tree now? I do not want to
get any conflicts because of this.

I'll reiterate again: do not take any patches touching
drivers/net/wireless unless I have acked them.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches